Summary:	DoReMi Repository Configuration
Group:		System Environment/Base
Name:		doremi-release
Version:	18
Release:	1
License:	GPL
URL:		http://fedorapeople.org/~easior/fedora
Source0:	doremi.repo
Source18:	RPM-GPG-KEY-doremi-fedora-18-primary
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:	system-release >= %{version}

%description
DoReMi repository is an unofficial Fedora YUM repository. It contains some 
favorite packages of mine. You could install it at your own risk.

%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install
rm -rf $RPM_BUILD_ROOT

# Create dirs
install -d -m755 \
  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg  \
  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# GPG Key
%{__install} -Dp -m644 \
    %{SOURCE18} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg

# Avoid using basearch in name for the key. Introduced in F18
ln -s $(basename %{SOURCE18}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-doremi-fedora-18

# Yum .repo files
%{__install} -p -m644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Sun Jan 20 2013 Easior <easior@fedoraproject.org> - 18-1
- Initial build.

